#!/bin/sh -efu

. install2-init-functions

cat > $destdir/etc/net/ifaces/default/fw/iptables/filter/OUTPUT << EOF
-P ACCEPT
-f -j DROP
-m state --state ESTABLISHED,RELATED -j ACCEPT
EOF

cat > $destdir/etc/net/ifaces/default/fw/iptables/filter/INPUT << EOF
-P DROP
-i lo -j ACCEPT
-f -j DROP
-m state --state ESTABLISHED,RELATED -j ACCEPT
-i eth0 -p tcp --dport 8080 -j ACCEPT
-i eth0 -p tcp --dport 631 -j DROP
-i eth0 -p tcp --dport 53 -j DROP
-i eth0 -p udp --dport 53 -j DROP
-i eth0 -p tcp --dport 20 -j DROP
-i eth0 -p udp --dport 20 -j DROP
-i eth0 -p tcp --dport 21 -j DROP
-i eth0 -p udp --dport 21 -j DROP
-i eth0 -p icmp -j DROP
-i eth0 -p tcp --dport 143 -j DROP
-i eth0 -p udp --dport 143 -j DROP
-i eth0 -p tcp --dport 220 -j DROP
-i eth0 -p udp --dport 220 -j DROP
-i eth0 -p tcp --dport 993 -j DROP
-i eth0 -p udp --dport 993 -j DROP
-i eth0 -p tcp --dport 110 -j DROP
-i eth0 -p udp --dport 110 -j DROP
-i eth0 -p tcp --dport 995 -j DROP
-i eth0 -p udp --dport 995 -j DROP
-i eth0 -p tcp --dport 3128 -j DROP
-i eth0 -p tcp --dport 137 -j DROP
-i eth0 -p udp --dport 137 -j DROP
-i eth0 -p tcp --dport 138 -j DROP
-i eth0 -p udp --dport 138 -j DROP
-i eth0 -p tcp --dport 139 -j DROP
-i eth0 -p udp --dport 139 -j DROP
-i eth0 -p tcp --dport 445 -j DROP
-i eth0 -p udp --dport 445 -j DROP
-i eth0 -p tcp --dport 25 -j DROP
-i eth0 -p udp --dport 25 -j DROP
-i eth0 -p tcp --dport 465 -j DROP
-i eth0 -p tcp --dport 587 -j DROP
-i eth0 -p udp --dport 587 -j DROP
-i eth0 -p tcp --dport 161 -j DROP
-i eth0 -p udp --dport 161 -j DROP
-i eth0 -p udp --dport 162 -j DROP
-i eth0 -p tcp --dport 22 -j DROP
-i eth0 -p udp --dport 22 -j DROP
-i eth0 -p tcp --dport 23 -j DROP
-i eth0 -p udp --dport 23 -j DROP
-i eth0 -p tcp --dport 80 -j ACCEPT
-i eth0 -p udp --dport 80 -j ACCEPT
-i eth0 -p tcp --dport 443 -j ACCEPT
-i eth0 -p udp --dport 443 -j ACCEPT
EOF
